Bug 523789 - Review Request: python-mwclient - Mwclient is a client to the MediaWiki API
Summary: Review Request: python-mwclient - Mwclient is a client to the MediaWiki API
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 520954
TreeView+ depends on / blocked
 
Reported: 2009-09-16 16:48 UTC by Steven M. Parrish
Modified: 2015-08-30 14:12 UTC (History)
7 users (show)

Fixed In Version: 0.6.3-3.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-28 13:19:31 UTC
rdieter: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Steven M. Parrish 2009-09-16 16:48:06 UTC
Spec URL: http://tuxbrewr.fedorapeople.org/python-mwclient/python-mwclient.spec
SRPM URL: http://tuxbrewr.fedorapeople.org/python-mwclient/python-mwclient.spec
Build logs: http://koji.fedoraproject.org/koji/taskinfo?taskID=1681623

Description: Mwclient is a client to the MediaWiki API <http://mediawiki.org/wiki/API>
and allows access to almost all implemented API functions

rpmlint -i SRPMS/python-mwclient-0.6.3-1.fc11.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings

Comment 1 Steven M. Parrish 2009-09-16 16:56:18 UTC
srpm here: http://tuxbrewr.fedorapeople.org/python-mwclient/python-mwclient-0.6.3-1.fc11.src.rpm

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 2 Till Maas 2009-09-16 20:49:15 UTC
Instead of %define, %global should be used in the spec.

The upstream tarball seems to bundle python-simplejson, which you install in %install. This is wrong. There is also a Requires: on python-simplejson, so something is wrong. Also copying the c source of _speedups.so is just wrong. Please remove the NotReady from the Whiteboard if these issues are resolved. If you have any questions, please ask.

Comment 3 Steven M. Parrish 2009-09-17 10:11:50 UTC
Fixed.  New spec and SRPM can be found at the original links

Comment 4 Kushal Das 2009-09-17 17:39:36 UTC
You are supposed to bump the revision

Comment 5 Rex Dieter 2009-09-20 18:41:28 UTC
Looks very simple packaging-wise, not sure how (best) to test functionality though (or maybe doing so against kdeedu/parley can work).

Comment 6 Rex Dieter 2009-09-20 18:42:50 UTC
I see only 2 problems
1.  MUST: include README.txt, it includes licensing text
2.  MUST: omit simplejson from packaging

address those, and looks like we have a winner.

Comment 7 Rex Dieter 2009-09-20 19:34:43 UTC
In addition, seems to me that we can use noarch/python_sitelib here instead of making it arch'd + python_sitearch

Comment 8 Rex Dieter 2009-09-20 20:09:51 UTC
spec/srpm with suggested fixes, tested to work with kdeedu/parley,
http://rdieter.fedorapeople.org/rpms/python-mwclient/

Comment 9 Steven M. Parrish 2009-09-21 16:03:52 UTC
Rex, have incorporated your changes in my spec, builds fine.  ready to go

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 10 Rex Dieter 2009-09-21 16:05:32 UTC
ok then.

APPROVED.

Comment 11 Steven M. Parrish 2009-09-21 16:11:33 UTC
New Package CVS Request
=======================
Package Name: python-mwclient 
Short Description: Mwclient is a client to the MediaWiki API
Owners: tuxbrewr
Branches: F10, F11
InitialCC: rdieter

Comment 12 Jason Tibbitts 2009-09-22 02:05:38 UTC
CVS done.

Comment 13 Fedora Update System 2009-09-22 15:21:56 UTC
python-mwclient-0.6.3-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/python-mwclient-0.6.3-3.fc10

Comment 14 Fedora Update System 2009-09-22 15:23:51 UTC
python-mwclient-0.6.3-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-mwclient-0.6.3-3.fc11

Comment 15 Fedora Update System 2009-09-24 05:06:34 UTC
python-mwclient-0.6.3-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-mwclient'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-9804

Comment 16 Fedora Update System 2009-09-24 05:11:27 UTC
python-mwclient-0.6.3-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-mwclient'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9834

Comment 17 Fedora Update System 2009-10-14 01:45:33 UTC
python-mwclient-0.6.3-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2009-10-14 01:48:00 UTC
python-mwclient-0.6.3-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Susmit 2009-10-28 13:03:09 UTC
Hi Steven,

I am using mwclient on Fedora infrastructure.
Will it be possible to have it in epel/rhel repo too?

Rakesh has the rpms done
http://rakesh.fedorapeople.org/misc/python-mwclient-0.6.3-3.el5.noarch.rpm
http://rakesh.fedorapeople.org/misc/python-mwclient-0.6.3-3.el5.src.rpm


Thanks.

Comment 20 Steven M. Parrish 2009-10-28 13:16:35 UTC
Sure I can do that.

I'll request the CVS changes now.

Comment 21 Steven M. Parrish 2009-10-28 13:19:31 UTC
Package Change Request
======================
Package Name: python-mwclient
New Branches: EL-4 EL-5
Owners: tuxbrewr

Comment 22 Kevin Fenzi 2009-10-29 00:12:58 UTC
cvs done.

Comment 23 Rakesh Pandit 2009-12-05 05:46:11 UTC
Hello Steven .. may you import this in EL ASAP, it is need for some fedora infra work.

Thanks,

Comment 24 Fedora Update System 2009-12-06 18:17:22 UTC
python-mwclient-0.6.3-3.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/python-mwclient-0.6.3-3.el5

Comment 25 Fedora Update System 2009-12-24 03:52:13 UTC
python-mwclient-0.6.3-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 26 Susmit 2010-01-18 17:29:35 UTC
Thanks a lot. :)

Comment 27 Adam Williamson 2015-08-29 01:50:40 UTC
Package Change Request
======================
Package Name: python-mwclient
New Branches: epel7
Owners: tuxbrewr rdieter adamwill
InitialCC: 

I've been maintaining this package lately (using provenpackager powers) as my python-wikitcms package uses it. I just realized it doesn't have an epel7 branch, but I've pushed python-wikitcms to epel7, so now we have a broken dep in epel7 :( So requesting an epel7 branch of python-mwclient so I can build it there and fix the wikitcms dep.

Comment 28 Gwyn Ciesla 2015-08-30 14:12:50 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.